Package org.gradle.api.artifacts

# Class ResolveException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException
org.gradle.internal.exceptions.DefaultMultiCauseException
org.gradle.api.artifacts.ResolveException

All Implemented Interfaces:
  `Serializable`, `org.gradle.internal.exceptions.MultiCauseException`, `org.gradle.internal.exceptions.NonGradleCauseExceptionsHolder`, `org.gradle.internal.exceptions.ResolutionProvider`

public class ResolveException extends org.gradle.internal.exceptions.DefaultMultiCauseException

An opaque exception, thrown when dependency resolution fails for some reason.

This type should only be extended and/or thrown by Gradle internal code.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `ResolveException(String message, Iterable<? extends Throwable> causes)`
  Deprecated.
  This constructor will be made protected in 9.0
  `protected`
  `ResolveException(String message, Iterable<? extends Throwable> causes, boolean dummy)`
  The actual constructor called by concrete resolve exception implementations.
  ``
  `ResolveException(String message, Throwable cause)`
  Deprecated.
  This constructor will be removed in 9.0

- ## Method Summary

  ### Methods inherited from class org.gradle.internal.exceptions.DefaultMultiCauseException

  `getCause, getCauses, getMessage, getResolutions, hasCause, initCause, initCauses, printStackTrace, printStackTrace`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ResolveException

    @Deprecated public ResolveException(String message, Throwable cause)
    Deprecated.
    This constructor will be removed in 9.0
    Do not call this constructor.

  - ### ResolveException

    @Deprecated public ResolveException(String message, Iterable<? extends Throwable> causes)
    Deprecated.
    This constructor will be made protected in 9.0
    Do not call this constructor.

  - ### ResolveException

    @Incubating protected ResolveException(String message, Iterable<? extends Throwable> causes, boolean dummy)
    The actual constructor called by concrete resolve exception implementations. Should not be called except from Gradle internal code.

    This constructor accepts a dummy parameter since we cannot call the constructor without it, as that emits a deprecation warning. In 9.0, we can change the above constructor to protected and remove this constructor.

    Since:
      8.9